fix stretch, upgrade from jessie broke
[automated-distro-installer] / fai-revm
index 2361ecf662848c825205e65149be54ad96600467..b10d6e651895f4baa93a576ab26aa93516bd01b1 100755 (executable)
--- a/fai-revm
+++ b/fai-revm
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
-set -x
 
 # Note, sometimes shutting down the existing demohost vm
 # fails. Just run again if that happens.
@@ -22,8 +21,12 @@ set -x
 # Deploy fai configuration to faiserver,
 # then start a virtual machine to test the config.
 
+cleanup() { :; }
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+trap 'cleanup; echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
+
+e() { echo "$*"; "$@"; }
 
 # I had this set false as default before, can't remember why. oh well.
 redeploy=true
@@ -33,7 +36,6 @@ fi
 
 disk_count=2
 
-script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
 
 if [[ $script_dir == /a/bin/* ]]; then
     # Copy our script elsewhere so we can develop it
@@ -53,13 +55,14 @@ is_arch_revm() {
 new_disk=false
 [[ ! $1 ]] || new_disk=true
 
+cleanup() { ./pxe-server :; }
 if is_arch_revm; then
-    ./pxe-server arch &
+    ./pxe-server arch
     sleep 2
     # via osinfo-query os. guessing arch is closest to latest fedora.
     variant=fedora22
 else
-    ./pxe-server -a fai &
+    ./pxe-server fai
     sleep 2
     if $redeploy; then
         ./fai-redep
@@ -69,7 +72,7 @@ fi
 
 name=demohost
 
-s virshrm $name ||:
+s virshrm $name ||:
 
 
 disk_arg=()
@@ -78,7 +81,7 @@ for ((i=1; i <= disk_count; i++)); do
     disk_arg+=("--disk path=$f")
     if $new_disk || [[ ! -e $f ]]; then
         s rm -f $f
-        s qemu-img create -o preallocation=metadata -f qcow2 $f 20G
+        s qemu-img create -o preallocation=metadata -f qcow2 $f 20G
     fi
 done
 
@@ -91,7 +94,7 @@ fi
 # init_module+0x108/0x1000 [raid6_pq]
 #
 # uniq is to stop gtk-warning spam
-s virt-install --os-variant $variant  -n $name --pxe -r 2048 --vcpus 1 \
+s virt-install --os-variant $variant  -n $name --pxe -r 2048 --vcpus 1 \
   ${disk_arg[*]} -w bridge=br0,mac=52:54:00:9c:ef:ad \
   --graphics spice,listen=0.0.0.0 $console_arg |& grep -v '^ *$' | uniq &
 
@@ -99,8 +102,12 @@ if [[ $SSH_CLIENT ]]; then
     fg
 fi
 
-
+sleep 30
+while ! timeout -s 9 10 ssh root@$name /bin/true; do
+    e sleep 5
+done
+cleanup() { :; }
+e pxe-server :
 if is_arch_revm; then
-    while ! timeout -s 9 10 ssh root@$name /bin/true; do sleep 1; done
     ./arch-init-remote $name
 fi